# ANSRabbitMQ Unit Test
add_executable(ANSRabbitMQ-UnitTest
    ANSRabbitMQ-UnitTest.cpp
)

target_include_directories(ANSRabbitMQ-UnitTest PRIVATE
    ${CMAKE_SOURCE_DIR}/integrations/ANSRabbitMQ
    ${ANSLIBS_DIR}/RabbitMQ/include
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSRabbitMQ-UnitTest
    PRIVATE ANSRabbitMQ
    PRIVATE ANSLicensingSystem
    PRIVATE anslicensing
    PRIVATE labview
)

if(WIN32)
    target_link_libraries(ANSRabbitMQ-UnitTest PRIVATE ${WIN_COMMON_LIBS})
endif()

target_compile_definitions(ANSRabbitMQ-UnitTest PRIVATE UNICODE _UNICODE)
